[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

AW: AW: ucdsnmp package for uCLinux?



Have you tried to compile such an agent for the etrax?
I tried to compile the normal net-snmp package, but I need
some librarys. So I thought I could compile the librarys from the
ucdsnmp package (uclinux) and use this libs than for my agent.
But it won't work!!

Andreas Auer

-----Ursprüngliche Nachricht-----
Von: Roger Larsson [mailto:roger.larsson@xxxxxxx.net]
Gesendet: Freitag, 11. Jänner 2002 23:43
An: Andreas Auer
Cc: dev-etrax@xxxxxxx.com
Betreff: Re: AW: ucdsnmp package for uCLinux?


On Friday den 11 January 2002 23.21, you wrote:
> I have the Etrax 100 LX. And I tried to compile the ucdsnmp
> with the option cris-axis-linux gnu. But it doesn't work.

OK, note that this is not uCLinux specific then... since uCLinux is for
systems that does not use MMU.

>
> Can I run the SNMP agent on the Etrax 100 LX, when I compile
> it with uclinux??

Probably not, you have most likely run into a bug in the compiler itself.
signal 11 is SIGSEGV

Hmm... three alternatives:

1) Test if standard gcc gets things right
make host
make

2) Try to fix the warnings - warnings indicates that the compiles sees
something it does not like 100%

3) Try some other package with the same function (no idea if that exists)

/RogerL

>
> Andreas Auer
>
> -----Ursprüngliche Nachricht-----
> Von: Roger Larsson [mailto:roger.larsson@xxxxxxx.net]
> Gesendet: Freitag, 11. Jänner 2002 23:05
> An: Andreas Auer; dev-etrax@xxxxxxx.com
> Betreff: Re: ucdsnmp package for uCLinux?
>
> On Fridayen den 11 January 2002 22.45, Andreas Auer wrote:
> > I have tried to compile the ucdsnmp package for the axis system.
> > But I couldn't do this. I got the following error:
> >
> > gcc-cris: Internal compiler error: program cc1 got fatal signal 11
> > make: *** [misc/ipfwacc.o] Error 1
> >
> > Before this error, I got many warnings. Can anyone help me?
> >
> > Andreas Auer
>
> One question has to be asked - are you shure that you want a uCLinux
> (If you have only LX or MCM you don't)
>
> from
> make help
>
> ## cris-axis-linux-gnu - Prepares all subdirectories to be built for
> ##                       cris-linux
> ##                       2.4.x. and glibc. Use this target once to
> initialize
> ##                       all subdirs before the install targets are used.
> ##
> ## clinux - Prepares all subdirectories to be built for cris-linux 2.4.x
> and ##          uC-libc. NOTE: This target is deprecated since it needs
> uC-libc, ##          which is no longer used in this product. Use target
> ##          cris-axis-linux-gnu instead!
>
> There is a problem with this - you should select one and only one
> of the two above (really three choices - host is an option too...)
>
> /RogerL

--
Roger Larsson
Skellefteå
Sweden